Subject: Re: Network performance degradation from 2.6.11.12 to 2.6.16.20

From: Bill Fink <[email-masked]>
Date: Mon, 26 Jun 2006 00:20:13 -0400

On Sun, 25 Jun 2006, Harry Edmon wrote:

> I understand the saying "beggars can't be choosers", but I have heard nothing on 
> this issue since June 19th.  Does anyone have any ideas on what is going on?  Is 
> there more information I can collect that would help diagnose this problem?  And 
> again, thanks for any and all help!

Harry,

I'd suggest checking all the ethtool configuration settings
(ethtool -a, -c, -g, -k) and statistics (ethtool -S) for both
the working and problematic kernels, and then comparing them
to see if anything jumps out at you.  Also compare ifconfig
settings and dmesg output.  Check /proc/interrupts to see if
there is any difference with the interrupt routing.  Check
sysctl.conf and rc.local for any special system configuration
or device settings that might differ between the systems.

The one thing that has caused me a lot of network performance
issues on e1000 is having TSO enabled, so if that is enabled
(check with ethtool -k), then I'd try disabling it to see if
that helps.

					-Hope this helps

					-Bill